LibreOffice: ScriptProviderForJavaScript Service Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Included Services | List of all members
ScriptProviderForJavaScript Service Reference

This service is a Java-specific LanguageScriptProvider. More...

`import"ScriptProviderForJavaScript.idl";`

Inheritance diagram for ScriptProviderForJavaScript:

## Included Services
service | ::com::sun::star::script::provider::LanguageScriptProvider
Included Services inherited from LanguageScriptProvider
service | ::com::sun::star::script::provider::ScriptProvider
Included Services inherited from ScriptProvider
service | ::com::sun::star::script::browse::BrowseNode

## Additional Inherited Members
Exported Interfaces inherited from ScriptProvider
interface | ::com::sun::star::script::provider::XScriptProvider
Exported Interfaces inherited from BrowseNode
interface | ::com::sun::star::script::browse::XBrowseNode
interface | ::com::sun::star::script::XInvocation
Public Member Functions inherited from XBrowseNode
string | getName ()
| Get the name of the node. More...
sequence< XBrowseNode > | getChildNodes ()
| Get the children of this node. More...
boolean | hasChildNodes ()
| Indicates if this node contains any children. More...
short | getType ()
| the type of the node. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XScriptProvider
XScript | getScript ([in] string sScriptURI) raises ( ::com::sun::star::script::provider::ScriptFrameworkErrorException )
| a factory method for the creation of XScript implementations. More...
Protected Member Functions inherited from XInvocation
com::sun::star::beans::XIntrospectionAccess | getIntrospection ()
| returns the introspection from this object or `NULL` if the object does not provide this information. More...
any | invoke ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| provides access to methods exposed by an object. More...
void | setValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| sets a value to the property with the specified name. More...
any | getValue ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| returns the value of the property with the specified name. More...
boolean | hasMethod ([in] string aName)
| returns `TRUE` if the method with the specified name exists, else `FALSE`. More...
boolean | hasProperty ([in] string aName)
| returns `TRUE` if the property with the specified name exists, else `FALSE`. More...

## Detailed Description

This service is a Java-specific LanguageScriptProvider.

## Exported Interfaces

## ◆ ::com::sun::star::script::provider::LanguageScriptProvider

service ::com::sun::star::script::provider::LanguageScriptProvider

The documentation for this service was generated from the following file:

- com/sun/star/script/provider/ScriptProviderForJavaScript.idl